コンパイラーのコンプライアンスレベルの設定 - Cloud - 8.0

Talend Data Fabric Studio User Guide

Version
Cloud
8.0
Language
日本語 (日本)
EnrichDitaval
Data Fabric
Product
Talend Data Fabric
Module
Talend Studio
Content
ジョブデザインと開発

このタスクについて

コンパイラーのコンプライアンスレベルは、ジョブコードの生成に使用したJavaバージョンに対応します。

コンパイラーのコンプライアンスレベルの互換性については、互換性があるJava環境をご覧ください。

手順

  1. Studioのメインウィンドウのツールバーでをクリックするか、メニューバーで[File] (ファイル) > [Edit Project Properties] (プロジェクトプロパティを編集)の順にクリックして、[Project Settings] (プロジェクト設定)ダイアログボックスを開きます。
  2. [Build] (ビルド)ノードを展開し、[Java Version] (Javaバージョン)をクリックします。
  3. [JDK Compiler compliance level] (JDKコンパイラーコンプライアンスレベル)リストから、使用するコンパイラーのコンプライアンスレベルを選択し、[Apply and Close] (適用して閉じる)をクリックします。